package cn.palmte.work.model;


import javax.persistence.*;

/**
 * 项目预算项目管理成本明细临时表
 */
@Entity
@Table(name = "project_budget_cost_project_manage_detail_temp")
public class ProjectBudgetCostProjectManageDetailTemp extends ProjectBudgetCostProjectManageDetailBase{
    public ProjectBudgetCostProjectManageDetail toProjectBudgetCostProjectManageDetail(){
        ProjectBudgetCostProjectManageDetail detail = new ProjectBudgetCostProjectManageDetail();
        detail.setProjectId(getProjectId());
        detail.setType(getType());
        detail.setName(getName());
        detail.setName1(getName1());
        detail.setName2(getName2());
        detail.setDetail(getDetail());
        detail.setUnit(getUnit());
        detail.setAmount(getAmount());
        detail.setPrice(getPrice());
        detail.setPredictMethod(getPredictMethod());
        detail.setPredictWhy(getPredictWhy());
        detail.setRemark(getRemark());
        detail.setDeletable(getDeletable());
        detail.setIsDiy(getIsDiy());
        return detail;
    }
}